[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gNewSense-users] NPTL vs. linuxthreads

From: Yoni Rabkin Katzenell
Subject: [gNewSense-users] NPTL vs. linuxthreads
Date: Sat, 11 Nov 2006 18:37:47 +0200
User-agent: Gnus/5.110006 (No Gnus v0.6) Emacs/22.0.90 (gnu/linux)


To the best of my understanding, gNewSense is based on Dapper Drake. On
dapper I get NPTL:

dapper-system:$ getconf GNU_LIBPTHREAD_VERSION
NPTL 2.3.6

Yet on vanilla gNewSense I get linuxthreads:

gnewsense-system:$ getconf GNU_LIBPTHREAD_VERSION

Since I need NPTL for work, I would be very happy for a hint as to why
the discrepancy exists. Though I will continue to look for it myself.

Since I don't see anything in the builder scripts which would change
glibc, I'm wondering if NPTL support was opted out of the gnewsense
kernel. But I don't know how to test for that (or if that is at all

   "Cut your own wood and it will warm you twice"

reply via email to

[Prev in Thread] Current Thread [Next in Thread]